using System.Diagnostics.CodeAnalysis;
using Google.Authenticator;

namespace e_suite.Modules.UserManager.Facade;

[SuppressMessage("ReSharper", "InconsistentNaming")]
public interface ITwoFactorAuthenticator
{
    bool ValidateTwoFactorPIN(string authenticationKey, string securityCode, bool secretIsBase32 = false);

    SetupCode GenerateSetupCode(string issuer, string accountTitleNoSpaces, string accountSecretKey,
        bool secretIsBase32, int qaPixelsPerModule = 3);
}